/*
 * GroupTotal.java
 *
 * Created on February 13, 2006, 6:02 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.crosstab;

/**
 *
 * @author gtoffoli
 */
public class GroupTotal {
    
    private String name = "";
    private String groupName = "";
    private String classType = "java.lang.Double";
    
    /** Creates a new instance of GroupTotal */
    public GroupTotal(String name, String groupName, String classType) {
        this.setGroupName(groupName);
        this.setName(name);
        this.setClassType(classType);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassType() {
        return classType;
    }

    public void setClassType(String classType) {
        this.classType = classType;
    }
    
    public String toString()
    {
        return name + " (total by " + groupName + ")";
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
    
    public String getVarName() {
        return name + "_" + groupName + "_ALL";
    }
    
}
